com.amazonaws.codegen.protocol

## Class AwsJsonProtocolMetadataProvider

- java.lang.Object
- - com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider
  - - com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider
    - - com.amazonaws.codegen.protocol.AwsJsonProtocolMetadataProvider

All Implemented Interfaces:
  ProtocolMetadataProvider

    public class AwsJsonProtocolMetadataProvider
    extends BaseJsonProtocolMetadataProvider

### Constructor Summary

Constructors
Constructor and Description
`AwsJsonProtocolMetadataProvider()`

### Method Summary

### Methods inherited from class com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider

`getExceptionUnmarshallerImpl, getUnmarshallerClassSuffix, getUnmarshallerContextClassName, isJsonProtocol`

### Methods inherited from class com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider

`getBaseExceptionFqcn, getContentType, getRequestBaseFqcn, isCborProtocol, isIonProtocol, isXmlProtocol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwsJsonProtocolMetadataProvider

    public AwsJsonProtocolMetadataProvider()